Subject: Re: [PATCH v2 4/4] net: dsa: LAN9303: add MDIO managed mode support

From: Andrew Lunn <[email-masked]>
Date: Fri, 7 Apr 2017 16:54:37 +0200

> +static const struct of_device_id lan9303_mdio_of_match[] = {
> +	{ .compatible = "smsc,lan9303" },
> +	{ /* sentinel */ },
> +};

I just chatted with Dave about this. Please include mdio and i2c in
the compatible string, so they are different. That will avoid any
possible problems.

	 Andrew